Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1795451

Summary: python-progressbar2 fails to build in Fedora rawhide: python3dist(pytest-pep8) gone
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-progressbar2Assignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: pviktori, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koschei.fedoraproject.org/package/python-progressbar2
Whiteboard:
Fixed In Version: python-progressbar2-3.47.0-1.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-13 12:27:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1750908, 1748018, 1785415    

Description Miro Hrončok 2020-01-28 00:56:45 UTC
Description of problem:
Package python-progressbar2 fails to build from source in Fedora rawhide:
No package found for: python3dist(pytest-pep8)

This blocks the Python 3.9 rebuild of the package.


Version-Release number of selected component (if applicable):
3.39.3-4.fc32

Steps to Reproduce:
koji build --scratch f32 python-progressbar2-3.39.3-4.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-progressbar2

Comment 1 Ben Cotton 2020-02-11 16:59:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Petr Viktorin (pviktori) 2020-02-12 11:48:02 UTC
https://src.fedoraproject.org/rpms/python-progressbar2/pull-request/2

Comment 3 Petr Viktorin (pviktori) 2020-02-13 12:27:28 UTC
Built successfully!

The build-time change is in a separate commit, if we need to build for stable Fedoras it can be applied without the update to 3.47.0.